> ## Documentation Index
> Fetch the complete documentation index at: https://lightdash-mintlify-cccf65ca.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# List charts in project

> List all charts in a project



## OpenAPI

````yaml https://raw.githubusercontent.com/lightdash/lightdash/refs/heads/main/packages/backend/src/generated/swagger.json get /api/v1/projects/{projectUuid}/charts
openapi: 3.0.0
info:
  title: Lightdash API
  version: 0.3233.0
  description: >
    Open API documentation for all public Lightdash API endpoints. #
    Authentication Before you get started, you might need to create a Personal
    Access Token to authenticate via the API. You can create a token by
    following this guide: https://docs.lightdash.com/references/personal_tokens
  license:
    name: MIT
  contact:
    name: Lightdash Support
    email: support@lightdash.com
    url: https://docs.lightdash.com/help-and-contact/contact/contact_info/
servers:
  - url: /
security: []
tags:
  - name: My Account
    description: These routes allow users to manage their own user account.
  - name: Organizations
    description: >-
      Each user is a member of a single organization. These routes allow users
      to manage their organization. Most actions are only available to admin
      users.
  - name: Projects
    description: >-
      Projects belong to a single organization. These routes allow users to
      manage their projects, browse content, and execute queries. Users inside
      an organization might have access to a project from an organization-level
      role or they might be granted access to a project directly.
  - name: Spaces
    description: >-
      Spaces allow you to organize charts and dashboards within a project. They
      also allow granular access to content by allowing you to create private
      spaces, which are only accessible to the creator and admins.
  - name: Roles & Permissions
    description: >-
      These routes allow users to manage roles and permissions for their
      organization.
    externalDocs:
      url: https://docs.lightdash.com/references/roles
  - name: Query
    description: >-
      These routes allow users to execute and manage queries against their data
      warehouse. This includes metric queries, SQL queries, and retrieving query
      results.
paths:
  /api/v1/projects/{projectUuid}/charts:
    get:
      tags:
        - Projects
      summary: List charts in project
      description: List all charts in a project
      operationId: ListChartsInProject
      parameters:
        - description: The uuid of the project to get charts for
          in: path
          name: projectUuid
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiChartListResponse'
        default:
          description: Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiErrorPayload'
      security: []
components:
  schemas:
    ApiChartListResponse:
      properties:
        results:
          items:
            $ref: '#/components/schemas/SpaceQuery'
          type: array
        status:
          type: string
          enum:
            - ok
          nullable: false
      required:
        - results
        - status
      type: object
    ApiErrorPayload:
      properties:
        error:
          properties:
            data:
              $ref: '#/components/schemas/AnyType'
              description: Optional data containing details of the error
            message:
              type: string
              description: A friendly message summarising the error
            name:
              type: string
              description: Unique name for the type of error
            statusCode:
              type: number
              format: integer
              description: HTTP status code
          required:
            - name
            - statusCode
          type: object
        status:
          type: string
          enum:
            - error
          nullable: false
      required:
        - error
        - status
      type: object
      description: |-
        The Error object is returned from the api any time there is an error.
        The message contains
    SpaceQuery:
      allOf:
        - $ref: '#/components/schemas/ChartSummary'
        - $ref: >-
            #/components/schemas/Pick_SavedChart.updatedAt-or-updatedByUser-or-pinnedListOrder_
        - $ref: '#/components/schemas/ViewStatistics'
        - properties:
            verification:
              allOf:
                - $ref: '#/components/schemas/ContentVerificationInfo'
              nullable: true
            validationErrors:
              items:
                $ref: '#/components/schemas/ValidationSummary'
              type: array
          required:
            - verification
          type: object
    AnyType:
      description: |-
        This AnyType is an alias for any
        The goal is to make it easier to identify any type in the codebase
        without having to eslint-disable all the time
        These are only used on legacy `any` types, don't use it for new types.
        This is added on a separate file to avoid circular dependencies.
    ChartSummary:
      allOf:
        - $ref: >-
            #/components/schemas/Pick_SavedChart.uuid-or-name-or-description-or-spaceName-or-spaceUuid-or-projectUuid-or-organizationUuid-or-pinnedListUuid-or-dashboardUuid-or-dashboardName-or-slug_
        - properties:
            source:
              $ref: '#/components/schemas/ChartSourceType'
            chartKind:
              $ref: '#/components/schemas/ChartKind'
            chartType:
              $ref: '#/components/schemas/ChartType'
          type: object
    Pick_SavedChart.updatedAt-or-updatedByUser-or-pinnedListOrder_:
      properties:
        pinnedListOrder:
          type: number
          format: double
          nullable: true
        updatedAt:
          type: string
          format: date-time
          description: Timestamp when the chart was last updated
        updatedByUser:
          $ref: '#/components/schemas/UpdatedByUser'
      required:
        - pinnedListOrder
        - updatedAt
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    ViewStatistics:
      properties:
        firstViewedAt:
          anyOf:
            - type: string
              format: date-time
            - type: string
          nullable: true
        views:
          type: number
          format: double
      required:
        - firstViewedAt
        - views
      type: object
    ContentVerificationInfo:
      properties:
        verifiedAt:
          type: string
          format: date-time
        verifiedBy:
          properties:
            lastName:
              type: string
            firstName:
              type: string
            userUuid:
              type: string
          required:
            - lastName
            - firstName
            - userUuid
          type: object
      required:
        - verifiedAt
        - verifiedBy
      type: object
    ValidationSummary:
      $ref: >-
        #/components/schemas/Pick_ValidationResponse.error-or-createdAt-or-validationUuid-or-validationId_
    Pick_SavedChart.uuid-or-name-or-description-or-spaceName-or-spaceUuid-or-projectUuid-or-organizationUuid-or-pinnedListUuid-or-dashboardUuid-or-dashboardName-or-slug_:
      properties:
        description:
          type: string
          description: Optional description of what this chart displays
        name:
          type: string
          description: Display name of the chart
        projectUuid:
          type: string
        organizationUuid:
          type: string
        uuid:
          type: string
        pinnedListUuid:
          type: string
          nullable: true
        slug:
          type: string
          description: Unique identifier slug for this chart
        spaceUuid:
          type: string
        dashboardUuid:
          type: string
          nullable: true
        spaceName:
          type: string
        dashboardName:
          type: string
          nullable: true
      required:
        - name
        - projectUuid
        - organizationUuid
        - uuid
        - pinnedListUuid
        - slug
        - spaceUuid
        - dashboardUuid
        - spaceName
        - dashboardName
      type: object
      description: From T, pick a set of properties whose keys are in the union K
    ChartSourceType:
      enum:
        - dbt_explore
        - sql
      type: string
    ChartKind:
      enum:
        - line
        - horizontal_bar
        - vertical_bar
        - scatter
        - area
        - mixed
        - pie
        - table
        - big_number
        - funnel
        - custom
        - treemap
        - gauge
        - map
        - sankey
      type: string
    ChartType:
      enum:
        - cartesian
        - table
        - big_number
        - pie
        - funnel
        - treemap
        - gauge
        - custom
        - map
        - sankey
      type: string
    UpdatedByUser:
      properties:
        userUuid:
          type: string
        firstName:
          type: string
        lastName:
          type: string
      required:
        - userUuid
        - firstName
        - lastName
      type: object
      additionalProperties: true
    Pick_ValidationResponse.error-or-createdAt-or-validationUuid-or-validationId_:
      properties:
        createdAt:
          type: string
          format: date-time
        error:
          type: string
        validationUuid:
          type: string
        validationId:
          type: number
          format: double
          nullable: true
          deprecated: true
      required:
        - createdAt
        - error
        - validationUuid
        - validationId
      type: object
      description: From T, pick a set of properties whose keys are in the union K

````